#ifndef __FILE_MODEL_H_SEEN__
#pragma once
#define __FILE_MODEL_H_SEEN__ 1

#include "status.h"

extern status s;

class model
{

protected:
  REAL  nds[256];
  REAL  pop[256];
  REAL  nyse[256];
  REAL  dflat[256];

public:
            model();
            ~model();

  int       initialize();
  int       terminate();

  realmat   e(INTEGER t);      //e    is 1 by 1
  realmat   dele(INTEGER t);   //dele is 1 by 2
  realmat   Z(INTEGER t);      //Z    is 3 by 1

};

#endif
